Bug 1128768 - [abrt] libreoffice-core: oox::core::ContextHandler2Helper::processCollectedChars(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: oox::core::ContextHandler2Helper::processCollectedCh...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:67d0af6735aa4997baec10242fa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:08 UTC by Artur Sierpinski
Modified: 2014-11-10 10:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 10:09:24 UTC


Attachments (Terms of Use)
File: backtrace (63.42 KB, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: core_backtrace (24.80 KB, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: dso_list (19.42 KB, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: environ (3.32 KB, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: exploitable (117 bytes, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: maps (93.59 KB, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: open_fds (548 bytes, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details
File: var_log_messages (384 bytes, text/plain)
2014-08-11 14:08 UTC, Artur Sierpinski
no flags Details

Description Artur Sierpinski 2014-08-11 14:08:29 UTC
Description of problem:
.

Version-Release number of selected component:
libreoffice-core-4.2.6.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///run/media/asierpinski/MUZA_32/Jaros%C5%82aw%20Sikora%20-%20zespo%C5%82y%20w%20RFN_35a.docx --splash-pipe=5
crash_function: oox::core::ContextHandler2Helper::processCollectedChars
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 oox::core::ContextHandler2Helper::processCollectedChars at /usr/src/debug/libreoffice-4.2.6.2/oox/source/core/contexthandler2.cxx:170
 #1 oox::core::ContextHandler2Helper::implCreateChildContext at /usr/src/debug/libreoffice-4.2.6.2/oox/source/core/contexthandler2.cxx:97
 #2 oox::core::ContextHandler2::createFastChildContext at /usr/src/debug/libreoffice-4.2.6.2/oox/source/core/contexthandler2.cxx:197
 #3 oox::shape::ShapeContextHandler::createFastChildContext at /usr/src/debug/libreoffice-4.2.6.2/oox/source/shape/ShapeContextHandler.cxx:319
 #4 oox::shape::ShapeContextHandler::startFastElement at /usr/src/debug/libreoffice-4.2.6.2/oox/source/shape/ShapeContextHandler.cxx:260
 #5 (anonymous namespace)::Entity::startElement at /usr/src/debug/libreoffice-4.2.6.2/sax/source/fastparser/fastparser.cxx:468
 #6 sax_fastparser::FastSaxParserImpl::callbackStartElement at /usr/src/debug/libreoffice-4.2.6.2/sax/source/fastparser/fastparser.cxx:1262
 #7 doContent at lib/xmlparse.c:2469
 #8 contentProcessor at lib/xmlparse.c:2105
 #9 XML_ParseBuffer at lib/xmlparse.c:1651

Comment 1 Artur Sierpinski 2014-08-11 14:08:33 UTC
Created attachment 925762 [details]
File: backtrace

Comment 2 Artur Sierpinski 2014-08-11 14:08:34 UTC
Created attachment 925763 [details]
File: cgroup

Comment 3 Artur Sierpinski 2014-08-11 14:08:36 UTC
Created attachment 925764 [details]
File: core_backtrace

Comment 4 Artur Sierpinski 2014-08-11 14:08:37 UTC
Created attachment 925765 [details]
File: dso_list

Comment 5 Artur Sierpinski 2014-08-11 14:08:38 UTC
Created attachment 925766 [details]
File: environ

Comment 6 Artur Sierpinski 2014-08-11 14:08:40 UTC
Created attachment 925767 [details]
File: exploitable

Comment 7 Artur Sierpinski 2014-08-11 14:08:41 UTC
Created attachment 925768 [details]
File: limits

Comment 8 Artur Sierpinski 2014-08-11 14:08:43 UTC
Created attachment 925769 [details]
File: maps

Comment 9 Artur Sierpinski 2014-08-11 14:08:44 UTC
Created attachment 925770 [details]
File: open_fds

Comment 10 Artur Sierpinski 2014-08-11 14:08:46 UTC
Created attachment 925771 [details]
File: proc_pid_status

Comment 11 Artur Sierpinski 2014-08-11 14:08:47 UTC
Created attachment 925772 [details]
File: var_log_messages

Comment 12 David Tardon 2014-08-12 08:36:49 UTC
Could you attach the .docx file here?

Comment 13 Artur Sierpinski 2014-11-10 10:09:24 UTC
HI, I've moved to Fedora 20 and installed a clean version of Libre Office (i.e. no more being deployed in paralel with an Open Office).  For me Issue fixed.  Please close and thank you for taking care of it in the past :).

God bless

Artur


Note You need to log in before you can comment on or make changes to this bug.